### Method

# Phosh Shell set_locked

#### Declaration [src]

    void
    phosh_shell_set_locked (
      PhoshShell* self,
      gboolean locked
    )

#### Description [src]

Lock the shell. We proxy to lockscreen-manager to avoid that other parts of the shell need to care about this abstraction.

Sets property | `Phosh.Shell:locked`

#### Parameters

`locked`

  Type: `gboolean`

  `TRUE` to lock the shell.